package com.xhpc.charging.station.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * program: ruoyi
 * User: HongYun
 * Date:2021-09-30 15
 */
@Mapper
public interface XhpcDownCodeMapper {

    List<Map<String, Object>> selectStationsBy(@Param(value = "stationName") String stationName);

    List<Map<String, Object>> selectPilesBy(@Param(value = "stationId") Long stationId);

    List<Map<String,Object>> selectExcelDataByPileId(@Param("pileId") Long pileId );

    List<String> selectUrlsByPile(@Param(value = "pileId") Long pileId);

    List<String> selectUrlsByStation(@Param(value = "stationId") Long stationId);

    List<Map<String, Object>> selectExcelDataByStationId(@Param(value = "stationId") Long stationId);
}
